# @hsmos/eslint

## 使用方式

> 使用前请配置 npm 服务地址 `registry=http://172.21.44.57:4873/`

1. 安装  `pnpm i @hsmos/eslint -D`

2. 在根目录创建 `.eslintrc.json` 文件

    ```json
    {
      "root": true,
      "extends": [
        "./node_modules/@hsmos/eslint"
      ],
    }
    ```

3. 在根目录创建 `.prettierrc` 文件。 eslint 和 prettier 协同进行格式化。

    ```json
    {
      "semi": false,
      "singleQuote": true,
      "overrides": [
        {
          "files": ".prettierrc",
          "options": {
            "parser": "json"
          }
        },
        {
          "files": "*.md",
          "options": {
            "parser": "markdown"
          }
        }
      ]
    }
    ```

4. 重启 vscode (初次进行 eslint 检查时间可能会长一些)

5. 如果需要新增或覆盖 @hsmos/eslint 中定义的规则，可直接在本地 .eslintrc.json 中添加 rules 进行修改：

    ```json
    {
      "root": true,
      "extends": [
        "./node_modules/@hsmos/eslint"
      ],
      "rules": {
        "no-console": [
          "error"
        ]
      }
    }
    ```

## 更新日志

- v0.1.0 - 2023-12-20
  - eslint 工具发布；
- v0.1.1 - 2023-12-20
  - 更新 vue 依赖；
- v0.1.5 - 2023-12-21
  - 补充 README.md；
  - 升级 @typescript-eslint 版本;
